-- Chopped Straw
-- Spec for chopped straw left on field
-- by webalizer, www.planet-ls.de
local choppedStrawhudFile = Utils.getFilename("map/map01/Huds/choppedStraw.dds", g_currentModDirectory);

-- FruitUtil.registerFruitType("dirty", "dirty", true, true, false, 0, 4, 6, 8, false, 1, 1, 1, false);

FruitUtil.registerFruitType("choppedStraw", g_i18n:getText("choppedStraw"), false, false, false, 0, 100, 2, 1, false, 0, 0, 0, false, choppedStrawhudFile, {1, 1, 1, 1});
FruitUtil.registerFruitTypePreparing(FruitUtil.FRUITTYPE_CHOPPEDSTRAW,"choppedStraw_haulm", 8, 8, 9);

FruitUtil.registerFruitType("choppedMaize", g_i18n:getText("choppedMaize"), false, false, false, 0, 100, 2, 1, false, 0, 0, 0, false, choppedStrawhudFile, {1, 1, 1, 1});
FruitUtil.registerFruitTypePreparing(FruitUtil.FRUITTYPE_CHOPPEDMAIZE,"choppedMaize_haulm", 8, 8, 9);

FruitUtil.registerFruitType("choppedRape", g_i18n:getText("choppedRape"), false, false, false, 0, 100, 2, 1, false, 0, 0, 0, false, choppedStrawhudFile, {1, 1, 1, 1});
FruitUtil.registerFruitTypePreparing(FruitUtil.FRUITTYPE_CHOPPEDRAPE,"choppedRape_haulm", 8, 8, 9);

FruitUtil.registerFruitType("choppedOat", g_i18n:getText("choppedOat"), false, false, false, 0, 100, 2, 1, false, 0, 0, 0, false, choppedStrawhudFile, {1, 1, 1, 1});
FruitUtil.registerFruitTypePreparing(FruitUtil.FRUITTYPE_CHOPPEDOAT,"choppedOat_haulm", 8, 8, 9);

FruitUtil.registerFruitType("choppedSoybean", g_i18n:getText("choppedSoybean"), false, false, false, 0, 100, 2, 1, false, 0, 0, 0, false, choppedStrawhudFile, {1, 1, 1, 1});
FruitUtil.registerFruitTypePreparing(FruitUtil.FRUITTYPE_CHOPPEDSOYBEAN,"choppedSoybean_haulm", 8, 8, 9);

FruitUtil.registerFruitType("choppedSunflower", g_i18n:getText("choppedSunflower"), false, false, false, 0, 100, 2, 1, false, 0, 0, 0, false, choppedStrawhudFile, {1, 1, 1, 1});
FruitUtil.registerFruitTypePreparing(FruitUtil.FRUITTYPE_CHOPPEDSUNFLOWER,"choppedSunflower_haulm", 8, 8, 9);

FruitUtil.registerFruitType("choppedSorghum", g_i18n:getText("choppedSorghum"), false, false, false, 0, 100, 2, 1, false, 0, 0, 0, false, choppedStrawhudFile, {1, 1, 1, 1});
FruitUtil.registerFruitTypePreparing(FruitUtil.FRUITTYPE_CHOPPEDSORGHUM,"choppedSorghum_haulm", 8, 8, 9);

if g_i18n.globalI18N.texts.choppedStraw == nil then
	g_i18n.globalI18N.texts.choppedStraw = g_i18n:getText("choppedStraw");
end;

if g_i18n.globalI18N.texts.choppedMaize == nil then
	g_i18n.globalI18N.texts.choppedMaize = g_i18n:getText("choppedMaize");
end;

if g_i18n.globalI18N.texts.choppedRape == nil then
	g_i18n.globalI18N.texts.choppedRape = g_i18n:getText("choppedRape");
end;

if g_i18n.globalI18N.texts.choppedOat == nil then
	g_i18n.globalI18N.texts.choppedOat = g_i18n:getText("choppedOat");
end;

if g_i18n.globalI18N.texts.choppedSoybean == nil then
	g_i18n.globalI18N.texts.choppedSoybean = g_i18n:getText("choppedSoybean");
end;

if g_i18n.globalI18N.texts.choppedSunflower == nil then
	g_i18n.globalI18N.texts.choppedFlower = g_i18n:getText("choppedSunflower");
end;

if g_i18n.globalI18N.texts.choppedSorghum == nil then
	g_i18n.globalI18N.texts.choppedSorghum = g_i18n:getText("choppedSorghum");
end;
print("*** ChoppedStraw fruittypes registered!");
